<app-base-layout [enableMobileMenu]="true">
  <app-explore-layout type="stocks">
    <app-cards-list title="Top Gainers" type="top_gainers" class="container-lg" *ngIf="topGainerLoser && topGainerLoser.topgainers">
      <app-info-card
        name={{tg.company}}
        img="{{tg.logo}}"
        price={{tg.price}}
        company={{tg.sector}}
        stats={{tg.gain}}
        companyId={{tg.companyId}}
        previous_price={{tg.yesterday_price}}
        symbol = {{tg.symbol}}
        [attachedSymbolWithName] = "true"
        *ngFor="let tg of tGainer"
      ></app-info-card>
      <div class="separator" style="width: 10px; height: 100%"></div>
    </app-cards-list>

    <app-cards-list title="Top Losers" type="top_losers" *ngIf="tLoser.length"  class="container-lg">
      <app-info-card
        name={{tg.company}}
        img="{{tg.logo}}"
        price={{tg.price}}
        company={{tg.sector}}
        stats={{tg.gain}}
        companyId={{tg.companyId}}
        previous_price={{tg.yesterday_price}}
        symbol = {{tg.symbol}}
        [attachedSymbolWithName] = "true"
        *ngFor="let tg of tLoser"
      ></app-info-card>
      <div class="separator" style="width: 10px; height: 100%"></div>
    </app-cards-list>

    <app-cards-list title="Most Traded" type="top_trader"  *ngIf="mostTraded.length"  class="container-lg">
      <app-info-card
      name={{tg.company}}
      img="{{tg.logo}}"
      price={{tg.price}}
      company={{tg.sector}}
      stats={{tg.gain}}
      symbol={{tg.symbol}}
      companyId={{tg.companyId}}
      previous_price={{tg.yesterday_price}}
      symbol = {{tg.symbol}}
      [attachedSymbolWithName] = "true"
      *ngFor="let tg of mostTraded"
      ></app-info-card>
      <div class="separator" style="width: 10px; height: 100%"></div>
    </app-cards-list>

    <!-- show all btn -->
    <div class="container">
    <div class="row text-center mt-lg-5 mt-4">
      <div class="col-12 d-none d-lg-block">
        <a routerLink="/explore/stocks/all-stocks" class="show-all-link">Show all stocks</a>
      </div>
      <div class="col-12 d-none">
        <div class="mobile-btn-common card">
        <button class="btn" (click)="navigateToAllStocks()">Show all stocks</button>
      </div>
      </div>
    </div>
  </div>
  </app-explore-layout>
</app-base-layout>
